#!/usr/bin/env python

import mailbox
import sys
import optparse

def maildir_deliver(msg, maildir, mark_read=False, mark_cur=False):
    if mark_read:
        msg.set_flags("S")
    if mark_cur:
        msg.set_subdir('cur')
    md = mailbox.Maildir(maildir)
    key = md.add(msg)
    md.close

if __name__ == '__main__':
    parser = optparse.OptionParser()
    parser.add_option("-d", "--destdir",
                      dest="maildir", 
                      help="destination maildir")
    parser.add_option("-s", "--seen",
                      action="store_true", 
                      dest="mark_read",
                      default=False,
                      help="mark message as read")
    parser.add_option("-c", "--cur",
                      action="store_true", 
                      dest="mark_cur",
                      default=False,
                      help="deliver message to cur instead of new")
    (options, args) = parser.parse_args()
    msg = mailbox.MaildirMessage(sys.stdin)
    maildir_deliver(msg, options.maildir, options.mark_read, options.mark_cur)
